CADsite

  • za 10 12 2022, 00:37:24
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Toon bijdragen

Deze sectie stelt je in staat om alle bijdragen van dit lid te bekijken. Je kunt alleen de bijdragen zien waar je op dit moment toegang toe hebt.

Berichten - roy_043

Pagina's: 1 2 [3] 4 5 ... 98
31
AutoCAD probleem / Re: gevoeligheid Snap functie
« Gepost op: vr 03 04 2020, 20:08:52 »
APERTURE

32
Autolisp / Re: attribute tag met rechte haken wijzigen in LISP
« Gepost op: ma 16 03 2020, 17:03:27 »
Als het gaat om het ssget filter:
"[" en "]" hebben een speciale betekenis in wcmatch patterns.
Ze worden gebruikt voor een character set.
Als je de 'rechte' haken letterlijk wilt matchen dan moet je ze 'escapen':
(2 . "`[abc`]")
Zie:
http://help.autodesk.com/view/ACD/2018/ENU/?guid=GUID-EC257AF7-72D4-4B38-99B6-9B09952A53AD

33
Autolisp / Re: embed gif images
« Gepost op: za 14 03 2020, 18:25:23 »

34
AutoCAD probleem / Re: custom hatch-pattern
« Gepost op: do 05 03 2020, 16:52:46 »
De offset-coördinaten (4e en 5e getal) van elke arceerlijn zijn verschuivingen gemeten parallel aan de lijn (4e getal) resp. loodrecht daarop (5e getal). Voor de laatste regel van het patroon moeten het 4e en 5e getal worden omgewisseld.

35
AutoCAD probleem / Re: objecten uit een gekoppelde xref verwijderen
« Gepost op: ma 02 03 2020, 11:07:01 »
Met lisp wordt het lastig
dat werkt in de basis binnen de tekening waarin het wordt gestart.
je zal dan de xref moeten binnen halen exploden wijzigen en weer wegschrijven als wblock en vervolgens de xref opnieuw moeten laden.
Oei, dat geeft weinig hoop  :?
Er zijn wel degelijk mogelijkheden. Met (nentsel) kun je de handle van een object in de xref vinden. En met ODBX kun je m.b.v. dat gegeven het object wissen in de xref.

36
AutoCAD probleem / Re: een object verschalen naar het origineel
« Gepost op: zo 05 01 2020, 14:41:00 »
Probeer het _Align commando.

37
AutoCAD probleem / Re: Grid en snap komen niet overeen
« Gepost op: vr 27 12 2019, 21:25:49 »
Het effect van snap kan in een uitgezoomde tekening minder opvallen. Misschien moet je daar eens op letten.

38
AutoCAD probleem / Re: This object does not define a coordinate system
« Gepost op: di 03 12 2019, 17:17:58 »
Nog een oplossing om op elkaar liggende punten te verwijderen:
http://gilecad.azurewebsites.net/LISP/Clean_poly.lsp

39
AutoCAD probleem / Re: This object does not define a coordinate system
« Gepost op: di 03 12 2019, 12:14:56 »
Ik herken de melding niet. Maar blijkens onderstaande link ontstaat het probleem als twee opeenvolgende punten van de polyline op elkaar liggen. Probeer het _Overkill commando. Of anders de code uit de link.

https://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/weed-autolisp-selecting-all-polylines/td-p/3017484

40
AutoCAD probleem / Re: This object does not define a coordinate system
« Gepost op: di 03 12 2019, 09:56:40 »
Na het wijzigen van de PLINETYPE setting naar 2, is het nodig om de dwg opnieuw te openen. Heb je dat gedaan?

41
AutoCAD probleem / Re: probleem met gekochte files
« Gepost op: do 14 11 2019, 21:21:15 »
Probeer het _Audit commando.

42
AutoCAD probleem / Re: Grid en snap komen niet overeen
« Gepost op: do 14 11 2019, 09:36:04 »
Om te beginnen: zet 'Adaptive grid' uit.

43
AutoCAD probleem / Re: Afbeelding naar UCS zetten
« Gepost op: ma 02 09 2019, 13:45:48 »
Na het annpassen van het UCS moet je het _Plan commando gebruiken.

44
AutoCAD probleem / Re: autocad en Catalina
« Gepost op: di 13 08 2019, 12:35:41 »
Op een ander forum zie ik dat openbare discussies over Apple beta software niet zijn toegestaan:
https://forum.freecadweb.org/viewtopic.php?f=3&p=326590#p326580

45
AutoCAD probleem / Re: setbylayerreverse en ApplytoBlockObjects
« Gepost op: vr 19 07 2019, 10:04:12 »
(defun c:InheritLayerProps ( / doc lst)
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (vla-endundomark doc)
  (vla-startundomark doc)
  (vlax-for obj (vla-get-layers doc)
    (setq lst
      (cons
        (list
          (vla-get-name obj)
          (list 'color      256       (vlax-get obj 'color))
          (list 'linetype   "ByLayer" (vlax-get obj 'linetype))
          (list 'lineweight -1        (vlax-get obj 'lineweight))
        )
        lst
      )
    )
  )
  (vlax-for blk (vla-get-blocks doc)
    (if
      (and
        (= :vlax-false (vla-get-islayout blk))
        (= :vlax-false (vla-get-isxref blk))
        (= :vlax-false (vla-get-isdynamicblock blk))
        (/= "*" (substr (vla-get-name blk) 1 1))
      )
      (vlax-for obj blk
        (foreach sub (cdr (assoc (vla-get-layer obj) lst))
          (if (= (vlax-get obj (car sub)) (cadr sub))
            (vlax-put obj (car sub) (caddr sub))
          )
        )
      )
    )
  )
  (vla-endundomark doc)
  (princ)
)

Pagina's: 1 2 [3] 4 5 ... 98